ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APITasks & Follow-upsUpdate Task

Update Task

Updates task title, type, due date, owner, or status.

PATCH/api/v1/tasks/{id}

Body Parameters

1 parameter
{id}uuidrequired

Task UUID

Request Body Schema

application/json
titlestringoptional

Updated title

typestringoptional

follow_up, call, demo, or other

due_atdatetimeoptional

Updated due timestamp

owner_iduuidoptional

Reassign task owner

statusstringoptional

open, done, or cancelled

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X PATCH "https://app.chatofy.in/api/v1/tasks/tsk-001" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"title":"Rescheduled Demo Call"}'

Was this endpoint guide helpful?

Previous Endpoint
Get Task Details
Next Endpoint
Complete Task
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X PATCH "https://app.chatofy.in/api/v1/tasks/tsk-001" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"title":"Rescheduled Demo Call"}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "task": {
5 "id": "tsk-001",
6 "title": "Rescheduled Demo Call",
7 "updated_at": "2026-10-26T22:50:00+05:30"
8 }
9 },
10 "message": "Task updated successfully"
11}